Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu bar entry

From: Manuel Giraud <[email-masked]>
Date: Fri, 18 Nov 2022 14:40:26 +0100

Po Lu <[email-masked]> writes:

[...]

> Please see my other reply.  The pseudo-window is changed when a menu bar
> is activated on a TTY with a mouse, but not under X, where the XMenu
> library is used to display the menu.  Since the proposed code only makes
> a difference on terminals with variable-width fonts, my suggestion is to
> use it only on X terminals, whilst letting the TTY menu bar operate as
> before.

Ok. I think that the #ifdef of the new version of the patch did just
that (i.e. use old cold if not on X)…  but wait!  I'm testing a new
version using FRAME_TO_WINDOW_PIXEL_* macros you two proposed.
-- 
Manuel Giraud